import type { PageViewContext } from "../page-viewer/pageViewContext";
import { FullItem, ItemDescriptor } from "../pageModel";
export declare function ComponentTree({ pageViewContext, itemDescriptor, item, isLoading, }: {
    pageViewContext?: PageViewContext;
    itemDescriptor?: ItemDescriptor;
    item?: FullItem;
    isLoading?: boolean;
}): import("react").JSX.Element;
